
package org.kar.karso;

import org.kar.archidata.tools.ConfigBaseVariable;
import org.kar.karso.migration.Initialization;
import org.kar.karso.util.ConfigVariable;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class WebLauncherLocal extends WebLauncher {
	private static final Logger LOGGER = LoggerFactory.getLogger(WebLauncherLocal.class);

	private WebLauncherLocal() {}

	public static void main(final String[] args) throws Exception {
		Initialization.generateObjects();
		final WebLauncherLocal launcher = new WebLauncherLocal();
		launcher.process();
		LOGGER.info("end-configure the server & wait finish process:");
		Thread.currentThread().join();
		LOGGER.info("STOP the REST server:");
	}

	@Override
	public void process() throws InterruptedException {
		if (true) {
			ConfigBaseVariable.apiAdress = "http://0.0.0.0:15080/karso/api/";
			ConfigBaseVariable.dbPort = "3906";
			// create a unique key for test ==> not retrieve the token every load...
			ConfigVariable.uuid_for_key_generation = "lkjlkjlkjlmkjqmwlsdkjqfsdlkf88QJSDMLQKSndmLQKZNERMAL";
		}
		try {
			super.migrateDB();
		} catch (final Exception e) {
			e.printStackTrace();
			while (true) {
				LOGGER.error("============================================================================");
				LOGGER.error("== Migration fail ==> waiting intervention of administrator...");
				LOGGER.error("============================================================================");
				Thread.sleep(60 * 60 * 1000);
			}
		}
		super.process();
	}
}
