package org.kar.karso.model;

import org.kar.archidata.annotation.DataIfNotExists;
import org.kar.archidata.model.GenericDataSoftDelete;

import com.fasterxml.jackson.annotation.JsonInclude;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.persistence.Column;
import jakarta.persistence.Table;
import jakarta.ws.rs.DefaultValue;

@Table(name = "application")
@DataIfNotExists
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Application extends GenericDataSoftDelete {
	@Column(length = 256)
	public String name;
	@Column(length = 2048)
	public String description;
	@Column(length = 2048, nullable = false)
	public String redirect;
	@Column(length = 2048)
	@DefaultValue("'http://localhost:4200/sso/'")
	public String redirectDev;
	@Column(length = 2048)
	@DefaultValue("'http://localhost:4200/sso/notification'")
	public String notification;
	@Column(nullable = false)
	@Schema(description = "Expiration time ")
	@DefaultValue("666")
	public Integer ttl;
	@Column(nullable = false)
	@Schema(description = "Right is manage with Karso")
	@DefaultValue("0")
	public Boolean manageRight;

	public Application() {}

	@Override
	public String toString() {
		return "Application{" + "id=" + this.id + ", description='" + this.description + '\'' + ", redirect='"
				+ this.redirect + '\'' + ", redirectDev='" + this.redirectDev + '\'' + ", notification='"
				+ this.notification + '\'' + ", ttl='" + this.ttl + '\'' + '}';
	}
}
