package org.kar.karso.model;

import org.kar.archidata.checker.CheckJPA;

import com.fasterxml.jackson.annotation.JsonInclude;

import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Pattern;
import jakarta.validation.constraints.Size;

@JsonInclude(JsonInclude.Include.NON_NULL)
public class ChangePassword {
	@NotNull
	@Size(min = 2, max = 2)
	@Pattern(regexp = "^v1$")
	public String method;
	@NotNull
	@Size(min = 3, max = 128)
	@Pattern(regexp = "^[a-zA-Z0-9\\-_ \\.@]+$")
	public String login;
	@NotNull
	@Size(min = 20, max = 64)
	@Pattern(regexp = "^\\d{4}\\-\\d{2}\\-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,9})+.*$")
	public String time;
	@NotNull
	@Size(min = 128, max = 128)
	@Pattern(regexp = "^[a-zA-Z0-9]{128}$")
	public String password;
	@NotNull
	@Size(min = 128, max = 128)
	@Pattern(regexp = "^[a-zA-Z0-9]{128}$")
	public String newPassword;

	public static class ChangePasswordChecker extends CheckJPA<ChangePassword> {
		public ChangePasswordChecker() {
			super(ChangePassword.class);
		}
	}
}
