package org.kar.karso.model;

import org.kar.archidata.annotation.DataIfNotExists;
import org.kar.archidata.annotation.DataJson;
import org.kar.archidata.filter.PartRight;
import org.kar.archidata.model.GenericDataSoftDelete;

import com.fasterxml.jackson.annotation.JsonInclude;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.persistence.Column;
import jakarta.persistence.FetchType;
import jakarta.persistence.ManyToOne;
import jakarta.persistence.Table;

@Table(name = "right")
@DataIfNotExists
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Right extends GenericDataSoftDelete {
	@Column(nullable = false)
	@Schema(description = "application-ID that have the reference of the right")
	@ManyToOne(fetch = FetchType.LAZY, targetEntity = Application.class)
	public Long applicationId;
	@Column(nullable = false)
	@Schema(description = "user-ID ")
	@ManyToOne(fetch = FetchType.LAZY, targetEntity = UserAuth.class)
	public Long userId;
	@Column(nullable = false)
	@Schema(description = "rightDescription-ID of the right description")
	@ManyToOne(fetch = FetchType.LAZY, targetEntity = RightDescription.class)
	public Long rightDescriptionId;
	@Column(length = 1024, nullable = false)
	@Schema(description = "Value of the right")
	@DataJson
	public PartRight value;
}
