package org.kar.karso.model;

import org.kar.archidata.annotation.DataIfNotExists;
import org.kar.archidata.model.GenericDataSoftDelete;

import com.fasterxml.jackson.annotation.JsonInclude;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.persistence.Column;
import jakarta.persistence.FetchType;
import jakarta.persistence.ManyToOne;
import jakarta.persistence.Table;

@Table(name = "rightDescription")
@DataIfNotExists
@JsonInclude(JsonInclude.Include.NON_NULL)
public class RightDescription extends GenericDataSoftDelete {
	@Column(nullable = false)
	@Schema(description = "Application id that have the reference of the right")
	@ManyToOne(fetch = FetchType.LAZY, targetEntity = Application.class)
	public Long applicationId;
	@Column(length = 64, nullable = false)
	@Schema(description = "Key of the property")
	public String key;
	@Column(length = 1024, nullable = false)
	@Schema(description = "Title of the right")
	public String title;
	@Column(length = 1024, nullable = false)
	@Schema(description = "Description of the right")
	public String description;
}