package org.kar.karso.model;

import org.kar.archidata.annotation.DataIfNotExists;
import org.kar.archidata.model.GenericDataSoftDelete;

import com.fasterxml.jackson.annotation.JsonInclude;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.persistence.Column;
import jakarta.persistence.Table;
import jakarta.ws.rs.DefaultValue;

enum PropertyType {
	STRING, NUMBER, BOOLEAN,
}

@Table(name = "settings")
@DataIfNotExists
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Settings extends GenericDataSoftDelete {
	@Column(length = 512, nullable = false)
	public String key;
	@Schema(description = "Right for the specific element(ADMIN [rw] USER [rw] other [rw])")
	@Column(length = 6, nullable = false)
	@DefaultValue("\"rw----\"")
	public String right;
	@Schema(description = "Type Of the data")
	@Column(length = 10, nullable = false)
	public String type;
	@Schema(description = "Value of the configuration")
	@Column(nullable = false)
	public String value;

	@Override
	public String toString() {
		return "Settings [key=" + this.key + ", value=" + this.value + ", id=" + this.id + ", deleted=" + this.deleted
				+ "]";
	}

}
