package org.kar.karso.model;

import org.kar.archidata.checker.CheckJPA;

import com.fasterxml.jackson.annotation.JsonInclude;

import jakarta.validation.constraints.Email;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Pattern;
import jakarta.validation.constraints.Size;

@JsonInclude(JsonInclude.Include.NON_NULL)
public class UserCreate {
	@NotNull
	@Size(min = 3, max = 128)
	@Pattern(regexp = "^[a-zA-Z0-9\\-_ \\.@]+$")
	public String login;
	@NotNull
	@Size(min = 5, max = 128)
	@Email()
	public String email;
	@NotNull
	@Size(min = 128, max = 128)
	@Pattern(regexp = "^[a-zA-Z0-9]{128}$")
	public String password;

	public static class UserCreateChecker extends CheckJPA<UserCreate> {
		public UserCreateChecker() {
			super(UserCreate.class);
		}
	}
}
