import { ErrorBoundary } from '@/errors/ErrorBoundary';
import { AppRoutes } from '@/scene/AppRoutes';
import { ServiceContextProvider } from '@/service/ServiceContext';

import { EnvDevelopment } from './components/EnvDevelopment/EnvDevelopment';

export const App = () => {
  return (
    <ServiceContextProvider>
      <EnvDevelopment />
      <ErrorBoundary>
        <AppRoutes />
      </ErrorBoundary>
    </ServiceContextProvider>
  );
};

export default App;
