/**
 * Interface of the server (auto-generated code)
 */
import { z as zod } from "zod";

import {ZodLong} from "./long";

export const ZodAddUserData = zod.object({
	userId: ZodLong.optional(),

});

export type AddUserData = zod.infer<typeof ZodAddUserData>;

export function isAddUserData(data: any): data is AddUserData {
	try {
		ZodAddUserData.parse(data);
		return true;
	} catch (e: any) {
		console.log(`Fail to parse data type='ZodAddUserData' error=${e}`);
		return false;
	}
}
export const ZodAddUserDataWrite = zod.object({
	userId: ZodLong.nullable().optional(),

});

export type AddUserDataWrite = zod.infer<typeof ZodAddUserDataWrite>;

export function isAddUserDataWrite(data: any): data is AddUserDataWrite {
	try {
		ZodAddUserDataWrite.parse(data);
		return true;
	} catch (e: any) {
		console.log(`Fail to parse data type='ZodAddUserDataWrite' error=${e}`);
		return false;
	}
}
