/**
 * Interface of the server (auto-generated code)
 */
import { z as zod } from "zod";


export const ZodChangePassword = zod.object({
	method: zod.string().min(2).max(2),
	login: zod.string().min(3).max(128),
	time: zod.string().min(20).max(64),
	password: zod.string().min(128).max(128),
	newPassword: zod.string().min(128).max(128),

});

export type ChangePassword = zod.infer<typeof ZodChangePassword>;

export function isChangePassword(data: any): data is ChangePassword {
	try {
		ZodChangePassword.parse(data);
		return true;
	} catch (e: any) {
		console.log(`Fail to parse data type='ZodChangePassword' error=${e}`);
		return false;
	}
}
export const ZodChangePasswordWrite = zod.object({
	method: zod.string().min(2).max(2).optional(),
	login: zod.string().min(3).max(128).optional(),
	time: zod.string().min(20).max(64).optional(),
	password: zod.string().min(128).max(128).optional(),
	newPassword: zod.string().min(128).max(128).optional(),

});

export type ChangePasswordWrite = zod.infer<typeof ZodChangePasswordWrite>;

export function isChangePasswordWrite(data: any): data is ChangePasswordWrite {
	try {
		ZodChangePasswordWrite.parse(data);
		return true;
	} catch (e: any) {
		console.log(`Fail to parse data type='ZodChangePasswordWrite' error=${e}`);
		return false;
	}
}
