/**
 * Interface of the server (auto-generated code)
 */
import { z as zod } from "zod";


export const ZodClientToken = zod.object({
	url: zod.string().optional(),
	jwt: zod.string().optional(),

});

export type ClientToken = zod.infer<typeof ZodClientToken>;

export function isClientToken(data: any): data is ClientToken {
	try {
		ZodClientToken.parse(data);
		return true;
	} catch (e: any) {
		console.log(`Fail to parse data type='ZodClientToken' error=${e}`);
		return false;
	}
}
export const ZodClientTokenWrite = zod.object({
	url: zod.string().nullable().optional(),
	jwt: zod.string().nullable().optional(),

});

export type ClientTokenWrite = zod.infer<typeof ZodClientTokenWrite>;

export function isClientTokenWrite(data: any): data is ClientTokenWrite {
	try {
		ZodClientTokenWrite.parse(data);
		return true;
	} catch (e: any) {
		console.log(`Fail to parse data type='ZodClientTokenWrite' error=${e}`);
		return false;
	}
}
