/**
 * Interface of the server (auto-generated code)
 */
import { z as zod } from "zod";

import {ZodIsoDate} from "./iso-date";

export const ZodGenericTiming = zod.object({
	/**
	 * Create time of the object
	 */
	createdAt: ZodIsoDate.readonly().optional(),
	/**
	 * When update the object
	 */
	updatedAt: ZodIsoDate.readonly().optional(),

});

export type GenericTiming = zod.infer<typeof ZodGenericTiming>;

export function isGenericTiming(data: any): data is GenericTiming {
	try {
		ZodGenericTiming.parse(data);
		return true;
	} catch (e: any) {
		console.log(`Fail to parse data type='ZodGenericTiming' error=${e}`);
		return false;
	}
}
export const ZodGenericTimingWrite = zod.object({

});

export type GenericTimingWrite = zod.infer<typeof ZodGenericTimingWrite>;

export function isGenericTimingWrite(data: any): data is GenericTimingWrite {
	try {
		ZodGenericTimingWrite.parse(data);
		return true;
	} catch (e: any) {
		console.log(`Fail to parse data type='ZodGenericTimingWrite' error=${e}`);
		return false;
	}
}
