/**
 * Interface of the server (auto-generated code)
 */
import { z as zod } from "zod";


export const ZodJwtHeader = zod.object({
	typ: zod.string().max(128),
	alg: zod.string().max(128),

});

export type JwtHeader = zod.infer<typeof ZodJwtHeader>;

export function isJwtHeader(data: any): data is JwtHeader {
	try {
		ZodJwtHeader.parse(data);
		return true;
	} catch (e: any) {
		console.log(`Fail to parse data type='ZodJwtHeader' error=${e}`);
		return false;
	}
}
export const ZodJwtHeaderWrite = zod.object({
	typ: zod.string().max(128).optional(),
	alg: zod.string().max(128).optional(),

});

export type JwtHeaderWrite = zod.infer<typeof ZodJwtHeaderWrite>;

export function isJwtHeaderWrite(data: any): data is JwtHeaderWrite {
	try {
		ZodJwtHeaderWrite.parse(data);
		return true;
	} catch (e: any) {
		console.log(`Fail to parse data type='ZodJwtHeaderWrite' error=${e}`);
		return false;
	}
}
