import { Flex, Text } from '@chakra-ui/react';

import { ParameterLayoutHeader } from './ParameterLayoutHeader';

export type ParameterLayoutHeaderBaseProps = {
  title: string;
  description?: string;
};

export const ParameterLayoutHeaderBase = ({
  title,
  description,
}: ParameterLayoutHeaderBaseProps) => {
  return (
    <ParameterLayoutHeader>
      <Flex direction="column">
        <Text fontSize="25px" fontWeight="bold">
          {title}
        </Text>
        {description && <Text>{description}</Text>}
      </Flex>
    </ParameterLayoutHeader>
  );
};
