/** @file
 * @author Edouard DUPIN
 * @copyright 2018, Edouard DUPIN, all right reserved
 * @license PROPRIETARY (see license file)
 */
import {
  RESTConfig,
  UserAuthGet,
  UserCreateWrite,
  UserResource,
} from '@/back-api';
import { useQuery, useQueryCall, useQueryCallProps } from '@/utils/query';

import { useSessionService } from './session';

export namespace UserService {
  // export const useGetData = <RETURN_TYPE>(queryFunction: (config: RESTConfig) => Promise<RETURN_TYPE>) => {
  // 	const { getRestConfig } = useSessionService();
  // 	return useQuery({ queryFunction: () => queryFunction(getRestConfig()) });
  // };

  // export const useGets2 = useGetData((restConfig) => {
  // 	return UserResource.gets({
  // 		restConfig
  // 	});
  // });

  export const useGets = () => {
    const { getRestConfig } = useSessionService();
    return useQuery({
      queryFunction: () => {
        return UserResource.gets({
          restConfig: getRestConfig(),
        });
      },
    });
  };
  export const useCreate = ({
    config,
  }: {
    config?: Omit<useQueryCallProps<UserAuthGet, any>, 'queryFunction'>;
  }) => {
    const { getRestConfig } = useSessionService();
    return useQueryCall<UserAuthGet, UserCreateWrite>({
      queryFunction: (data) => {
        return UserResource.create({
          restConfig: getRestConfig(),
          data: { ...data },
        });
      },
      ...config,
    });
  };
}
