type PandaColorModel = {
  value: string;
};
type ThemeModel = {
  50: PandaColorModel;
  100: PandaColorModel;
  200: PandaColorModel;
  300: PandaColorModel;
  400: PandaColorModel;
  500: PandaColorModel;
  600: PandaColorModel;
  700: PandaColorModel;
  800: PandaColorModel;
  900: PandaColorModel;
};

const back: ThemeModel = {
  50: { value: '#ebf4fa' },
  100: { value: '#d1dbe0' },
  200: { value: '#b6c2c9' },
  300: { value: '#99aab4' },
  400: { value: '#7c939e' },
  500: { value: '#637985' },
  600: { value: '#4d5e67' },
  700: { value: '#37444a' },
  800: { value: '#1f292e' },
  900: { value: '#020f12' },
};

const brand: ThemeModel = {
  50: { value: '#ffe2ec' },
  100: { value: '#ffb3c5' },
  200: { value: '#fc839f' },
  300: { value: '#f95278' },
  400: { value: '#f62252' },
  500: { value: '#dd0939' },
  600: { value: '#ad032c' },
  700: { value: '#7c001e' },
  800: { value: '#4d0012' },
  900: { value: '#200005' },
};
const normalText: ThemeModel = {
  50: { value: '#f2f2f2' },
  100: { value: '#d9d9d9' },
  200: { value: '#bfbfbf' },
  300: { value: '#a6a6a6' },
  400: { value: '#8c8c8c' },
  500: { value: '#737373' },
  600: { value: '#595959' },
  700: { value: '#404040' },
  800: { value: '#262626' },
  900: { value: '#0d0d0d' },
};

const green: ThemeModel = {
  50: { value: '#f0fdf4' },
  100: { value: '#dcfce7' },
  200: { value: '#bbf7d0' },
  300: { value: '#86efac' },
  400: { value: '#4ade80' },
  500: { value: '#22c55e' },
  600: { value: '#16a34a' },
  700: { value: '#15803d' },
  800: { value: '#166534' },
  900: { value: '#14532d' },
};
const blue: ThemeModel = {
  50: { value: '#eff6ff' },
  100: { value: '#dbeafe' },
  200: { value: '#bfdbfe' },
  300: { value: '#93c5fd' },
  400: { value: '#60a5fa' },
  500: { value: '#3b82f6' },
  600: { value: '#2563eb' },
  700: { value: '#1d4ed8' },
  800: { value: '#1e40af' },
  900: { value: '#1e3a8a' },
};

const orange: ThemeModel = {
  50: { value: '#fff7ed' },
  100: { value: '#ffedd5' },
  200: { value: '#fed7aa' },
  300: { value: '#fdba74' },
  400: { value: '#fb923c' },
  500: { value: '#f97316' },
  600: { value: '#ea580c' },
  700: { value: '#c2410c' },
  800: { value: '#9a3412' },
  900: { value: '#7c2d12' },
};
const red: ThemeModel = {
  50: { value: '#fef2f2' },
  100: { value: '#fee2e2' },
  200: { value: '#fecaca' },
  300: { value: '#fca5a5' },
  400: { value: '#f87171' },
  500: { value: '#ef4444' },
  600: { value: '#dc2626' },
  700: { value: '#b91c1c' },
  800: { value: '#991b1b' },
  900: { value: '#7f1d1d' },
};

export const colors = {
  // Update me with other Tailwind colors or with https://smart-swatch.netlify.app/
  brand: brand,
  back: back,
  text: normalText,
  success: green,
  error: red,
  warning: orange,
  danger: red,
} as const;
