// Karma configuration file, see link for more information
// https://karma-runner.github.io/1.0/config/configuration-file.html

module.exports = function (config) {
	config.set({
		basePath: '',
		frameworks: ['jasmine', '@angular-devkit/build-angular'],
		plugins: [
			require('karma-jasmine'),
			require('karma-firefox-launcher'),
			//require('karma-jasmine-html-reporter'),
			require('karma-coverage'),
			require('karma-coverage-istanbul-reporter'),
			require('karma-spec-reporter'), // reporst in console
			require('@angular-devkit/build-angular/plugins/karma'),
		],
		client: {
			clearContext: false, // leave Jasmine Spec Runner output visible in browser
		},
		coverageReporter: {
			dir: require('path').join(__dirname, './coverage'),
			subdir: '.',
			includeAllSources: true, // force to include all sorce to have the global report
			reporters: [{ type: 'html' }, { type: 'text-summary' }, { type: 'json', file: 'coverage_report.json' }],
			check: {
				global: {
					statements: 80,
					branches: 80,
					functions: 80,
					lines: 80,
				},
			},
		},

		reporters: ['spec'], //['progress', 'html'],
		port: 9876,
		colors: true,
		logLevel: config.LOG_INFO,
		autoWatch: false,
		browsers: ['FirefoxHeadless'],
		singleRun: true,
	});
};
