/**
 * Interface of the server (auto-generated code)
 */
import { z as zod } from "zod";


export const ZodDataGetToken = zod.object({
	login: zod.string().min(3).max(128),
	method: zod.string().min(2).max(2),
	time: zod.string().min(20).max(64),
	password: zod.string().min(128).max(128),

});

export type DataGetToken = zod.infer<typeof ZodDataGetToken>;

export function isDataGetToken(data: any): data is DataGetToken {
	try {
		ZodDataGetToken.parse(data);
		return true;
	} catch (e: any) {
		console.log(`Fail to parse data type='ZodDataGetToken' error=${e}`);
		return false;
	}
}
export const ZodDataGetTokenWrite = zod.object({
	login: zod.string().min(3).max(128).optional(),
	method: zod.string().min(2).max(2).optional(),
	time: zod.string().min(20).max(64).optional(),
	password: zod.string().min(128).max(128).optional(),

});

export type DataGetTokenWrite = zod.infer<typeof ZodDataGetTokenWrite>;

export function isDataGetTokenWrite(data: any): data is DataGetTokenWrite {
	try {
		ZodDataGetTokenWrite.parse(data);
		return true;
	} catch (e: any) {
		console.log(`Fail to parse data type='ZodDataGetTokenWrite' error=${e}`);
		return false;
	}
}
