/**
 * Interface of the server (auto-generated code)
 */
import { z as zod } from "zod";


export const ZodGetToken = zod.object({
	jwt: zod.string(),

});

export type GetToken = zod.infer<typeof ZodGetToken>;

export function isGetToken(data: any): data is GetToken {
	try {
		ZodGetToken.parse(data);
		return true;
	} catch (e: any) {
		console.log(`Fail to parse data type='ZodGetToken' error=${e}`);
		return false;
	}
}
export const ZodGetTokenWrite = zod.object({
	jwt: zod.string().optional(),

});

export type GetTokenWrite = zod.infer<typeof ZodGetTokenWrite>;

export function isGetTokenWrite(data: any): data is GetTokenWrite {
	try {
		ZodGetTokenWrite.parse(data);
		return true;
	} catch (e: any) {
		console.log(`Fail to parse data type='ZodGetTokenWrite' error=${e}`);
		return false;
	}
}
