// The file contents for the current environment will overwrite these during build.
// The build system defaults to the dev environment which uses `environment.ts`, but if you do
// `ng build --env=prod` then `environment.prod.ts` will be used instead.
// The list of which env maps to which file can be found in `.angular-cli.json`.

import { Environment } from "@kangaroo-and-rabbit/kar-cw";

export const environment: Environment = {
	production: false,
	// URL of development API
	applName: 'karso-edge',
	defaultServer: 'karso',
	server: {
		karso: 'http://localhost:15080/karso-edge/api',
	},
	// set to undefined sso* in case of internal authentication model
	ssoSite: 'http://localhost:15080/karso',
	ssoSignIn: undefined,
	ssoSignOut: undefined,
	ssoSignUp: undefined,
	tokenStoredInPermanentStorage: true,
};

export const environmentKarso = {
	edgeMode: true,
};